## xtb 6.5.1

=== CMakeLists.txt ===
# This file is part of xtb.
# SPDX-Identifier: LGPL-3.0-or-later
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.9)

# Setup the XTB Project
project(
  "xtb"
  VERSION "6.5.1"
  LANGUAGES "C" "Fortran"
)
enable_testing()

# Follow GNU conventions for installing directories
include(GNUInstallDirs)

# Include CMake specific configurations
add_subdirectory("cmake")

if(NOT TARGET "mctc-lib::mctc-lib")
  find_package("mctc-lib" REQUIRED)
endif()

# Sources: initialize program sources (prog) and library sources (srcs) empty
set(prog)
set(srcs)

add_subdirectory("src")
add_subdirectory("symmetry")

# Find dependencies
if(NOT TARGET "OpenMP::OpenMP_Fortran" AND WITH_OpenMP)
  find_package("OpenMP" REQUIRED)
endif()
find_package("LAPACK" REQUIRED)
find_package("BLAS" REQUIRED)

# Object library
if(NOT EXISTS "${PROJECT_BINARY_DIR}/include")
  make_directory("${PROJECT_BINARY_DIR}/include")
endif()
add_library(
  "${PROJECT_NAME}-object"
  OBJECT
  ${srcs}
)
set_target_properties(
  "${PROJECT_NAME}-object"
  PROPERTIES
  Fortran_MODULE_DIRECTORY "${PROJECT_BINARY_DIR}/include"
  POSITION_INDEPENDENT_CODE ON
)
target_link_libraries(
  "${PROJECT_NAME}-object"
  PUBLIC
  "mctc-lib::mctc-lib"
)
target_include_directories(
  "${PROJECT_NAME}-object"
  PUBLIC
  ${xtb-config-dir}
  ${PROJECT_BINARY_DIR}
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
)
target_compile_definitions(
  "${PROJECT_NAME}-object"
  PRIVATE
)

# Static Library
add_library(
  "lib-${PROJECT_NAME}-static"
  STATIC
  $<TARGET_OBJECTS:${PROJECT_NAME}-object>
)
target_link_libraries(
  "lib-${PROJECT_NAME}-static"
  PUBLIC
  ${BLAS_LIBRARIES}
  ${LAPACK_LIBRARIES}
  $<$<BOOL:${OpenMP_Fortran_FOUND}>:OpenMP::OpenMP_Fortran>
  "mctc-lib::mctc-lib"
)
set_target_properties(
  "lib-${PROJECT_NAME}-static"
  PROPERTIES
  Fortran_MODULE_DIRECTORY "${PROJECT_BINARY_DIR}/include"
  ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}"
  POSITION_INDEPENDENT_CODE ON
  OUTPUT_NAME "${PROJECT_NAME}"
)
target_include_directories(
  "lib-${PROJECT_NAME}-static"
  PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
)

# Shared Library
add_library(
  "lib-${PROJECT_NAME}-shared"
  SHARED
  $<TARGET_OBJECTS:${PROJECT_NAME}-object>
)
target_link_libraries(
  "lib-${PROJECT_NAME}-shared"
  PUBLIC
  ${BLAS_LIBRARIES}
  ${LAPACK_LIBRARIES}
  $<$<BOOL:${OpenMP_Fortran_FOUND}>:OpenMP::OpenMP_Fortran>
  "mctc-lib::mctc-lib"
)
set_target_properties(
  "lib-${PROJECT_NAME}-shared"
  PROPERTIES
  Fortran_MODULE_DIRECTORY "${PROJECT_BINARY_DIR}/include"
  LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}"
  OUTPUT_NAME "${PROJECT_NAME}"
  VERSION "${PROJECT_VERSION}"
  SOVERSION "${PROJECT_VERSION_MAJOR}"
)
target_include_directories(
  "lib-${PROJECT_NAME}-shared"
  PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
)

# Executables
add_executable(
  "${PROJECT_NAME}-exe"
  ${prog}
)
target_link_libraries(
  "${PROJECT_NAME}-exe"
  PRIVATE
  "lib-${PROJECT_NAME}-static"
)
set_target_properties(
  ${PROJECT_NAME}-exe
  PROPERTIES
  Fortran_MODULE_DIRECTORY ${PROJECT_BINARY_DIR}/include
  RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}
  OUTPUT_NAME "${PROJECT_NAME}"
)
target_include_directories(${PROJECT_NAME}-exe PRIVATE "${PROJECT_SOURCE_DIR}/include")

# Install
install(
  FILES
  "${PROJECT_SOURCE_DIR}/include/xtb.h"
  DESTINATION
  "${CMAKE_INSTALL_INCLUDEDIR}"
)
install(
  FILES
  "${PROJECT_SOURCE_DIR}/param_gfn0-xtb.txt"
  "${PROJECT_SOURCE_DIR}/param_gfn1-xtb.txt"
  "${PROJECT_SOURCE_DIR}/param_gfn1-si-xtb.txt"
  "${PROJECT_SOURCE_DIR}/param_gfn2-xtb.txt"
  "${PROJECT_SOURCE_DIR}/param_ipea-xtb.txt"
  "${PROJECT_SOURCE_DIR}/.param_gfnff.xtb"
  DESTINATION
  "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}"
)
install(
  TARGETS
  "lib-${PROJECT_NAME}-static"
  "lib-${PROJECT_NAME}-shared"
  "${PROJECT_NAME}-exe"
  EXPORT "${PROJECT_NAME}-targets"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)
# CMake package files
include(CMakePackageConfigHelpers)
# -- Config version file
write_basic_package_version_file(
  "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  VERSION "${PROJECT_VERSION}"
  COMPATIBILITY AnyNewerVersion
)
# -- Config file
configure_package_config_file(
  "${PROJECT_SOURCE_DIR}/cmake/config.cmake.in"
  "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)
# -- Install config and configVersion
install(
  FILES
  "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)
# -- Targets file
# -- This makes the project importable from the build directory
export(
  EXPORT "${PROJECT_NAME}-targets"
  FILE "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-targets.cmake"
)
# -- This makes the project importable from the install directory
install(
  EXPORT "${PROJECT_NAME}-targets"
  FILE "${PROJECT_NAME}-targets.cmake"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

add_subdirectory("test")

=== meson_options.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

option(
  'la_backend',
  type: 'combo',
  value: 'mkl-static',
  choices: ['mkl', 'mkl-rt', 'mkl-static', 'openblas', 'netlib', 'custom'],
  description: 'Linear algebra backend for program.',
)
option(
  'custom_libraries',
  type: 'array',
  value: [],
  description: 'libraries to load for custom linear algebra backend',
)
option(
  'openmp',
  type: 'boolean',
  value: true,
  description: 'use OpenMP parallelisation',
)
option(
  'install_modules',
  type: 'boolean',
  value: false,
  description: 'Install Fortran module files to include directory.',
)
option(
  'build_name',
  type: 'string',
  value: 'unknown',
  description: 'Name of the build, will be overwritten automatically by git',
)

# GPU specific options
option('gpu', type: 'boolean', value: false,
       description: 'use GPU acceleration')
option('gpu_arch', type: 'string', value: '70',
       description: 'GPU architecture version string')
option('cusolver', type: 'boolean', value: false,
       description: 'Use cuSOLVER for eigensolver routines')
option('nvtx', type: 'boolean', value: false,
       description: 'use NVTX markers')

=== cmake/CMakeLists.txt ===
# This file is part of xtb.
# SPDX-Identifier: LGPL-3.0-or-later
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the Lesser GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# Lesser GNU General Public License for more details.
#
# You should have received a copy of the Lesser GNU General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

option(WITH_OpenMP "Enable support for shared memory parallelisation with OpenMP" TRUE)
if(NOT DEFINED "${PROJECT_NAME}-dependeny-method")
  set(
    "${PROJECT_NAME}-dependency-method"
    "subproject" "cmake" "pkgconf" "fetch"
  )
endif()

set(
  module-dir
  "${PROJECT_NAME}/${CMAKE_Fortran_COMPILER_ID}-${CMAKE_Fortran_COMPILER_VERSION}"
)
set(module-dir "${module-dir}" PARENT_SCOPE)

# Set build type as CMake does not provide defaults
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(
    CMAKE_BUILD_TYPE "RelWithDebInfo"
    CACHE STRING "Build type to be used."
    FORCE
  )
  message(
    STATUS
    "Setting build type to '${CMAKE_BUILD_TYPE}' as none was specified."
  )
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/modules")
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" PARENT_SCOPE)
install(
  DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/modules/"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

if(CMAKE_Fortran_COMPILER_ID MATCHES "GNU")
  set(dialect "-fdefault-real-8 -fdefault-double-8 -ffree-line-length-none -fbacktrace")
  set(bounds "-fbounds-check")
endif()
if(CMAKE_Fortran_COMPILER_ID MATCHES "Intel")
  set(dialect "-axAVX2 -r8 -traceback")
  set(bounds "-check bounds")
endif()
if(CMAKE_Fortran_COMPILER_ID MATCHES "PGI")
  set(dialect "-Mbackslash -Mallocatable=03 -r8 -traceback")
endif()
set(CMAKE_Fortran_FLAGS_DEBUG "${CMAKE_Fortran_FLAGS_DEBUG} ${bounds}" PARENT_SCOPE)
set(CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} ${dialect}" PARENT_SCOPE)

# Populate xtb_version.fh
set(version ${PROJECT_VERSION})
execute_process(COMMAND git rev-parse HEAD
  RESULT_VARIABLE git_return
  OUTPUT_VARIABLE commit)
if(git_return)
  set(commit "unknown-commit")
else()
  string(REGEX REPLACE "\n$" "" commit ${commit})
endif()
string(TIMESTAMP date "%m/%d/%Y")
set(author $ENV{USERNAME})
set(origin ${CMAKE_HOST_SYSTEM_NAME})
configure_file(
  "${PROJECT_SOURCE_DIR}/assets/templates/version.f90"
  "${PROJECT_BINARY_DIR}/xtb_version.fh"
  @ONLY
)

=== man/Makefile ===
#!/bin/make -f

TXT  := RELEASE_NOTES
## 1   Executable programs or shell commands
TXT1 := dftd4 cosmosolv cosmothermrd thermo xtb
## 2   System calls
TXT2 :=
## 3   Library calls (functions within program libraries)
TXT3 := thermo distort
## 4   Special files (usually found in /dev)
TXT4 :=
## 5   File formats and conventions eg /etc/passwd
TXT5 :=
## 6   Games
TXT6 :=
## 7   Miscellaneous (including macro packages and conventions)
## here we place all benchmarks in our arsenal
TXT7 := xcontrol
#MAN7 += ACONF ADIM6 AHB21 AL2X6 ALK8 ALKBDE10 Amino20x4
#MAN7 += BH76 BH76RC BHDIV10 BHPERI BHROT27 BSR36 BUT14DIOL
#MAN7 += Bühl-3d Bühl-4d Bühl-5d
#MAN7 += C15 C60ISO CARBHB12 CDIE20 CHB6
#MAN7 += DARC DC13 DIPCS10
#MAN7 += FH51
#MAN7 += G21EA G21IP G2RC GrubbsII
#MAN7 += HAL59 HEAVY28 HEAVYSB11 HMGB11
#MAN7 += ICONF IDISP IL16 IL-2013 INV24 ISO34 ISOL24
#MAN7 += LMGB35
#MAN7 += MB16-43 MCONF MOR41
#MAN7 += NBPRC NCIBLIND10
#MAN7 += PA26 PArel PCONF21 PNICO23 PX13
#MAN7 += RC21 RG18 RSE43 R160x6
#MAN7 += S22 S22x5 S66 S66x8 S30L SCONF SIE4x4
#MAN7 += TAUT15 TOMC6
#MAN7 += UPU23
#MAN7 += W4-11 WATER27 WCPT18 WCCR10
#MAN7 += YBDE18
#MAN7 += X40x10

MAN1 := $(patsubst %,man1/%.1,$(TXT1))
MAN2 := $(patsubst %,man2/%.2,$(TXT2))
MAN3 := $(patsubst %,man3/%.3,$(TXT3))
MAN4 := $(patsubst %,man4/%.4,$(TXT4))
MAN5 := $(patsubst %,man5/%.5,$(TXT5))
MAN6 := $(patsubst %,man6/%.6,$(TXT6))
MAN7 := $(patsubst %,man7/%.7,$(TXT7))
MAN := $(MAN1)
MAN += $(MAN2)
MAN += $(MAN3)
MAN += $(MAN4)
MAN += $(MAN5)
MAN += $(MAN6)
MAN += $(MAN7)

PDF  := $(patsubst %,%.1.pdf,$(TXT1))
PDF  += $(patsubst %,%.2.pdf,$(TXT2))
PDF  += $(patsubst %,%.3.pdf,$(TXT3))
PDF  += $(patsubst %,%.4.pdf,$(TXT4))
PDF  += $(patsubst %,%.5.pdf,$(TXT5))
PDF  += $(patsubst %,%.6.pdf,$(TXT6))
PDF  += $(patsubst %,%.7.pdf,$(TXT7))

HTML := $(patsubst %,%.1.html,$(TXT1))
HTML += $(patsubst %,%.2.html,$(TXT2))
HTML += $(patsubst %,%.3.html,$(TXT3))
HTML += $(patsubst %,%.4.html,$(TXT4))
HTML += $(patsubst %,%.5.html,$(TXT5))
HTML += $(patsubst %,%.6.html,$(TXT6))
HTML += $(patsubst %,%.7.html,$(TXT7))

vpath %.txt .

.PHONY: all

all: $(MAN) $(PDF) $(HTML)

ASCIIDOC := asciidoc
A2X := a2x
ASCIIFLAGS := --doctype manpage --format manpage

DBLATEX  := dblatex
DBLATEXFLAGS := --style simple

$(HTML): %.html: %.txt
	$(ASCIIDOC) $(ASCIIDOCFLAGS) --backend html $<

$(PDF): %.pdf: %.xml
	$(DBLATEX) $(DBLATEXFLAGS) $<

%.xml: %.txt
	$(ASCIIDOC) $(ASCIIDOCFLAGS) --backend docbook $<

$(MAN1): man1/%.1: %.1.txt
	$(A2X) $(ASCIIFLAGS) -D man1 $<

$(MAN2): man2/%.2: %.2.txt
	$(A2X) $(ASCIIFLAGS) -D man2 $<

$(MAN3): man3/%.3: %.3.txt
	$(A2X) $(ASCIIFLAGS) -D man3 $<

$(MAN4): man4/%.4: %.4.txt
	$(A2X) $(ASCIIFLAGS) -D man4 $<

$(MAN5): man5/%.5: %.5.txt
	$(A2X) $(ASCIIFLAGS) -D man5 $<

$(MAN6): man6/%.6: %.6.txt
	$(A2X) $(ASCIIFLAGS) -D man6 $<

$(MAN7): man7/%.7: %.7.txt
	$(A2X) $(ASCIIFLAGS) -D man7 $<

.PHONY: clean

clean:
	$(RM) $(MAN1) $(MAN7)

=== src/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

add_subdirectory("api")
add_subdirectory("coulomb")
add_subdirectory("disp")
add_subdirectory("extern")
add_subdirectory("freq")
add_subdirectory("gfnff")
add_subdirectory("io")
add_subdirectory("main")
add_subdirectory("mctc")
add_subdirectory("param")
add_subdirectory("prog")
add_subdirectory("type")
add_subdirectory("solv")
add_subdirectory("xtb")

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/aespot.f90"
  "${dir}/anharmlib.f90"
  "${dir}/aoparam.f90"
  "${dir}/approxrab.f90"
  "${dir}/axis_trafo.f90"
  "${dir}/basic_geo.f90"
  "${dir}/bfgs.f90"
  "${dir}/bias_path.f90"
  "${dir}/blowsy.f90"
  "${dir}/broyden.f90"
  "${dir}/charge_model.f90"
  "${dir}/coffee.f90"
  "${dir}/constrain_param.f90"
  "${dir}/constrain_pot.f90"
  "${dir}/constr.f90"
  "${dir}/cqpath.f90"
  "${dir}/cube.f90"
  "${dir}/david2.f90"
  "${dir}/david.f"
  "${dir}/define.f90"
  "${dir}/detrotra.f90"
  "${dir}/dipole.f90"
  "${dir}/drsp.f"
  "${dir}/dtrafo.f90"
  "${dir}/dynamic.f90"
  "${dir}/eeq_model.f90"
  "${dir}/elem.f90"
  "${dir}/embedding.f90"
  "${dir}/enso_printout.f90"
  "${dir}/eqrot.f90"
  "${dir}/esp.f"
  "${dir}/expire.f90"
  "${dir}/filetools.F90"
  "${dir}/fixparam.f90"
  "${dir}/foden.f90"
  "${dir}/fragment.f90"
  "${dir}/generate_wsc.f90"
  "${dir}/geoopt_driver.f90"
  "${dir}/geosum.f90"
  "${dir}/getkopt.f90"
  "${dir}/getname.f90"
  "${dir}/getsymnum.f90"
  "${dir}/gfn0param.f90"
  "${dir}/gfn_paramset.f90"
  "${dir}/gfn_prparam.f90"
  "${dir}/grad_core.f90"
  "${dir}/header.f90"
  "${dir}/hessian.F90"
  "${dir}/hlex.f90"
  "${dir}/ifind.f90"
  "${dir}/iniq.f90"
  "${dir}/intgrad.f90"
  "${dir}/intmodes.f90"
  "${dir}/intpack.f90"
  "${dir}/lidep.f90"
  "${dir}/lindh.f90"
  "${dir}/lin.f90"
  "${dir}/lin_mod.f90"
  "${dir}/local.f90"
  "${dir}/locmode.f90"
  "${dir}/lopt.f90"
  "${dir}/ls_rmsd.f90"
  "${dir}/makel.f90"
  "${dir}/matinv.f90"
  "${dir}/mdoptim.f90"
  "${dir}/metadynamic.f90"
  "${dir}/modef.f90"
  "${dir}/model_hessian.f90"
  "${dir}/neighbor.f90"
  "${dir}/onetri.f90"
  "${dir}/oniom.f90"
  "${dir}/optimizer.f90"
  "${dir}/pbc.f90"
  "${dir}/pbc_tools.f90"
  "${dir}/peeq_module.f90"
  "${dir}/pocketscan.f90"
  "${dir}/pqn.f90"
  "${dir}/printmold.f90"
  "${dir}/printout.f90"
  "${dir}/prmat.f90"
  "${dir}/pseudodiag.f90"
  "${dir}/qpot.f90"
  "${dir}/qsort.f90"
  "${dir}/rdcoord2.f90"
  "${dir}/read_gfn_param.f90"
  "${dir}/readin.f90"
  "${dir}/readl2.f90"
  "${dir}/readl.f90"
  "${dir}/relaxation_engine.f90"
  "${dir}/restart.f90"
  "${dir}/rmrottr.f90"
  "${dir}/rmsd.f90"
  "${dir}/scan_driver.f90"
  "${dir}/scanparam.f90"
  "${dir}/scc_core.f90"
  "${dir}/scf_module.F90"
  "${dir}/screening.f90"
  "${dir}/set_module.f90"
  "${dir}/setparam.f90"
  "${dir}/shake_module.f90"
  "${dir}/shiftlp.f90"
  "${dir}/single.f90"
  "${dir}/slater.f90"
  "${dir}/sphereparam.f90"
  "${dir}/spline2.f90"
  "${dir}/spline3.f90"
  "${dir}/splitparam.f90"
  "${dir}/stm.f"
  "${dir}/surfac.f"
  "${dir}/thermo.f90"
  "${dir}/timing.f90"
  "${dir}/topology.f90"
  "${dir}/wrbas.f90"
  "${dir}/wrgbw.f90"
  "${dir}/wrmodef.f90"
  "${dir}/wrmo.f90"
  "${dir}/xhelp.f90"
  "${dir}/zmatpr.f90"
)

set(srcs ${srcs} PARENT_SCOPE)
set(prog ${prog} PARENT_SCOPE)

=== src/extern/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/driver.f90"
  "${dir}/mopac.f90"
  "${dir}/orca.f90"
  "${dir}/turbomole.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/gfnff/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/calculator.f90"
  "${dir}/data.f90"
  "${dir}/frag_hess.f90"
  "${dir}/gdisp0.f90"
  "${dir}/generator.f90"
  "${dir}/gfnff_eg.f90"
  "${dir}/gfnff_ini.f90"
  "${dir}/gfnff_ini2.f90"
  "${dir}/gfnff_param.f90"
  "${dir}/gfnff_qm.f90"
  "${dir}/gfnff_rab.f"
  "${dir}/gfnff_setup.f90"
  "${dir}/math.f"
  "${dir}/mrec.f90"
  "${dir}/neighbourlist.f90"
  "${dir}/shake_module.f90"
  "${dir}/struc_converter.f90"
  "${dir}/topology.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/io/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

add_subdirectory("reader")
add_subdirectory("writer")

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/reader.f90"
  "${dir}/writer.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/param/CMakeLists.txt ===
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/atomicmass.f90"
  "${dir}/atomicrad.f90"
  "${dir}/covalentradd3.f90"
  "${dir}/paulingen.f90"
  "${dir}/sqrtzr4r2.f90"
  "${dir}/vdwradd3.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/prog/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND prog
  "${dir}/argparser.f90"
  "${dir}/info.f90"
  "${dir}/main.F90"
  "${dir}/primary.f90"
  "${dir}/submodules.f90"
  "${dir}/thermo.f90"
  "${dir}/topology.f90"
)

set(prog ${prog} PARENT_SCOPE)

=== src/type/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/anc.f90"
  "${dir}/atomlist.f90"
  "${dir}/basisset.f90"
  "${dir}/buffer.f90"
  "${dir}/calculator.f90"
  "${dir}/coulomb.f90"
  "${dir}/data.f90"
  "${dir}/dispersion_model.f90"
  "${dir}/environment.f90"
  "${dir}/fragments.f90"
  "${dir}/identitymap.f90"
  "${dir}/iohandler.f90"
  "${dir}/molecule.f90"
  "${dir}/neighbourlist.f90"
  "${dir}/latticepoint.f90"
  "${dir}/options.f90"
  "${dir}/param.f90"
  "${dir}/pcem.f90"
  "${dir}/reader.F90"
  "${dir}/restart.f90"
  "${dir}/setvar.f90"
  "${dir}/solvation.f90"
  "${dir}/timer.f90"
  "${dir}/topology.f90"
  "${dir}/wavefunction.f90"
  "${dir}/wignerseitzcell.f90"
  "${dir}/wsc.f90"
  "${dir}/vendordata.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== test/unit/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2021 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

if(NOT TARGET "test-drive::test-drive")
  find_package("test-drive" REQUIRED)
endif()

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

set(
  tests
  "atomlist"
  "coordinationnumber"
  "coulomb"
  "dftd3"
  "dftd4"
  "eeq"
  "gfn0"
  "gfn1"
  "gfn2"
  "gfnff"
  "hessian"
  "latticepoint"
  "molecule"
  "pbc-tools"
  "peeq"
  "repulsion"
  "symmetry"
  "thermo"
  "wsc"
)
set(
  test-srcs
  "main.f90"
  "molstock.f90"
)
foreach(t IN LISTS tests)
  string(MAKE_C_IDENTIFIER ${t} t) 
  list(APPEND test-srcs "test_${t}.f90")
endforeach()

add_executable(
  "${PROJECT_NAME}-tester"
  "${test-srcs}"
)
target_link_libraries(
  "${PROJECT_NAME}-tester"
  PRIVATE
  "lib-${PROJECT_NAME}-static"
  "test-drive::test-drive"
)
set_target_properties(
  "${PROJECT_NAME}-tester"
  PROPERTIES
  Fortran_MODULE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include"
)
if(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include")
  make_directory("${CMAKE_CURRENT_BINARY_DIR}/include")
endif()

foreach(t IN LISTS tests)
  add_test("${PROJECT_NAME}/${t}" "${PROJECT_NAME}-tester" "${t}")
  set_tests_properties(
    "${PROJECT_NAME}/${t}"
    PROPERTIES
    ENVIRONMENT XTBPATH=${PROJECT_SOURCE_DIR}
  )
endforeach()


set(XTB-EXE "${PROJECT_BINARY_DIR}/${PROJECT_NAME}")

add_test("xtb/Argparser_print_version" ${XTB-EXE} --version)
add_test("xtb/Argparser_print_help" ${XTB-EXE} --help)
add_test("xtb/Argparser_print_license" ${XTB-EXE} --license)
add_test("xtb/Info" ${XTB-EXE} info
  "${PROJECT_SOURCE_DIR}/assets/inputs/coord/caffeine.coord"
  "${PROJECT_SOURCE_DIR}/assets/inputs/coord/quartz.3d.coord"
  "${PROJECT_SOURCE_DIR}/assets/inputs/vasp/ammonia.vasp"
  "${PROJECT_SOURCE_DIR}/assets/inputs/xyz/taxol.xyz"
)
add_test("xtb/Singlepoint" ${XTB-EXE} --coffee --strict --norestart --namespace test1)
add_test("xtb/IP/EA" ${XTB-EXE} --coffee --gfn 2 --vipea --strict --norestart --namespace test2)
add_test("xtb/GFN0-xTB" ${XTB-EXE} --coffee --gfn 0 --strict --norestart --namespace test3)
add_test("xtb/GFN1-xTB" ${XTB-EXE} --coffee --gfn 1 --strict --norestart --namespace test4)
add_test("xtb/GFN2-xTB/GBSA" ${XTB-EXE} --coffee --gfn 2 --strict --gbsa h2o --norestart --namespace test5)
add_test("xtb/GFN2-FF" ${XTB-EXE} --coffee --gfnff --strict --norestart --namespace test6)

set_tests_properties(
  "xtb/Singlepoint"
  "xtb/GFN0-xTB"
  "xtb/IP/EA"
  "xtb/GFN1-xTB"
  "xtb/GFN2-xTB/GBSA"
  "xtb/GFN2-FF"
  PROPERTIES
  ENVIRONMENT XTBPATH=${PROJECT_SOURCE_DIR}
)

=== debian/changelog ===
xtb (6.5.1-3) unstable; urgency=medium

  * Increase test tolerance to pass tests on armhf.

 -- Andrius Merkys <merkys@debian.org>  Fri, 09 Dec 2022 03:53:29 -0500

xtb (6.5.1-2) unstable; urgency=medium

  * Fix reproducible build (Closes: #1024290). Thanks Vagrant Cascadian!
  * Remove generated man/xtb.1.

 -- Andrius Merkys <merkys@debian.org>  Thu, 17 Nov 2022 01:23:38 -0500

xtb (6.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1020557)

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Sep 2022 09:04:29 -0400

=== debian/control ===
Source: xtb
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 asciidoc-base,
 debhelper-compat (= 13),
 docbook-xml,
 docbook-xsl,
 gfortran,
 libmctc-lib-dev,
 libopenblas-dev,
 meson,
 pkg-config,
 xsltproc,
Standards-Version: 4.6.1
Homepage: https://github.com/grimme-lab/xtb
Vcs-Browser: https://salsa.debian.org/debichem-team/xtb
Vcs-Git: https://salsa.debian.org/debichem-team/xtb.git

Package: libxtb-dev
Architecture: any
Section: libdevel
Depends:
 libxtb6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for xtb
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.
 .
 This package contains the development files.

Package: libxtb6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: shared library for xtb
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.
 .
 This package contains the shared library.

Package: xtb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: semiempirical extended tight-binding program package
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --buildsystem meson

override_dh_auto_build:
	dh_auto_build
	cd man && a2x --doctype manpage --format manpage xtb.1.adoc

override_dh_auto_configure:
	dh_auto_configure -- -Dla_backend=openblas

## xtb 6.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Setup the XTB Project
 project(
   "xtb"
-  VERSION "6.5.1"
+  VERSION "6.6.0"
   LANGUAGES "C" "Fortran"
 )
 enable_testing()
@@ -32,6 +32,14 @@
 
 if(NOT TARGET "mctc-lib::mctc-lib")
   find_package("mctc-lib" REQUIRED)
+endif()
+
+if(NOT TARGET "tblite::tblite" AND WITH_TBLITE)
+  find_package("tblite" REQUIRED)
+endif()
+
+if(NOT TARGET "test-drive::test-drive")
+  find_package("test-drive" REQUIRED)
 endif()
 
 # Sources: initialize program sources (prog) and library sources (srcs) empty
@@ -50,7 +58,7 @@
 
 # Object library
 if(NOT EXISTS "${PROJECT_BINARY_DIR}/include")
-  make_directory("${PROJECT_BINARY_DIR}/include")
+  file(MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/include")
 endif()
 add_library(
   "${PROJECT_NAME}-object"
@@ -67,6 +75,8 @@
   "${PROJECT_NAME}-object"
   PUBLIC
   "mctc-lib::mctc-lib"
+  "$<$<BOOL:${WITH_TBLITE}>:tblite::tblite>"
+  "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
 )
 target_include_directories(
   "${PROJECT_NAME}-object"
@@ -93,8 +103,9 @@
   PUBLIC
   ${BLAS_LIBRARIES}
   ${LAPACK_LIBRARIES}
-  $<$<BOOL:${OpenMP_Fortran_FOUND}>:OpenMP::OpenMP_Fortran>
+  "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
   "mctc-lib::mctc-lib"
+  "tblite::tblite"
 )
 set_target_properties(
   "lib-${PROJECT_NAME}-static"
@@ -123,8 +134,9 @@
   PUBLIC
   ${BLAS_LIBRARIES}
   ${LAPACK_LIBRARIES}
-  $<$<BOOL:${OpenMP_Fortran_FOUND}>:OpenMP::OpenMP_Fortran>
+  "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
   "mctc-lib::mctc-lib"
+  "tblite::tblite"
 )
 set_target_properties(
   "lib-${PROJECT_NAME}-shared"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,16 +18,19 @@
 add_subdirectory("api")
 add_subdirectory("coulomb")
 add_subdirectory("disp")
+add_subdirectory("docking")
 add_subdirectory("extern")
 add_subdirectory("freq")
 add_subdirectory("gfnff")
 add_subdirectory("io")
+add_subdirectory("iff")
 add_subdirectory("main")
 add_subdirectory("mctc")
 add_subdirectory("param")
 add_subdirectory("prog")
+add_subdirectory("solv")
+add_subdirectory("tblite")
 add_subdirectory("type")
-add_subdirectory("solv")
 add_subdirectory("xtb")
 
 set(dir "${CMAKE_CURRENT_SOURCE_DIR}")
@@ -65,6 +68,7 @@
   "${dir}/eqrot.f90"
   "${dir}/esp.f"
   "${dir}/expire.f90"
+  "${dir}/features.F90"
   "${dir}/filetools.F90"
   "${dir}/fixparam.f90"
   "${dir}/foden.f90"

=== test/unit/CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,6 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with xtb.  If not, see <https://www.gnu.org/licenses/>.
 
-if(NOT TARGET "test-drive::test-drive")
-  find_package("test-drive" REQUIRED)
-endif()
-
 set(dir "${CMAKE_CURRENT_SOURCE_DIR}")
 
 set(
@@ -28,18 +24,22 @@
   "coulomb"
   "dftd3"
   "dftd4"
+  "docking"
   "eeq"
   "gfn0"
   "gfn1"
   "gfn2"
   "gfnff"
   "hessian"
+  "iff"
   "latticepoint"
   "molecule"
+  "oniom"
   "pbc-tools"
   "peeq"
   "repulsion"
   "symmetry"
+  "tblite"
   "thermo"
   "wsc"
 )
@@ -69,7 +69,7 @@
   Fortran_MODULE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include"
 )
 if(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include")
-  make_directory("${CMAKE_CURRENT_BINARY_DIR}/include")
+  file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include")
 endif()
 
 foreach(t IN LISTS tests)

=== src/solv/ddcosmo/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/core.f90"
  "${dir}/solver.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== debian/changelog ===
xtb (6.6.0-2) unstable; urgency=medium

  * Simplify and cleanup debian/rules.
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Thu, 29 Jun 2023 06:45:48 -0400

xtb (6.6.0-1) experimental; urgency=medium

  * New upstream version 6.6.0
  * Refresh skip-test-drive-tests.patch.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 29 Mar 2023 02:59:52 -0400

## xtb 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Setup the XTB Project
 project(
   "xtb"
-  VERSION "6.6.0"
+  VERSION "6.6.1"
   LANGUAGES "C" "Fortran"
 )
 enable_testing()

=== meson_options.txt ===
--- 
+++ 
@@ -16,22 +16,35 @@
 # along with xtb.  If not, see <https://www.gnu.org/licenses/>.
 
 option(
-  'la_backend',
+  'lapack',
   type: 'combo',
-  value: 'mkl-static',
-  choices: ['mkl', 'mkl-rt', 'mkl-static', 'openblas', 'netlib', 'custom'],
+  value: 'auto',
+  yield: true,
+  choices: ['auto', 'mkl', 'mkl-rt', 'openblas', 'netlib', 'custom'],
   description: 'Linear algebra backend for program.',
 )
+
 option(
   'custom_libraries',
   type: 'array',
   value: [],
+  yield: true,
   description: 'libraries to load for custom linear algebra backend',
 )
+
+option(
+  'tblite',
+  type: 'feature',
+  value: 'auto',
+  yield: true,
+  description: 'use tblite library as backend for xTB',
+)
+
 option(
   'openmp',
   type: 'boolean',
   value: true,
+  yield: true,
   description: 'use OpenMP parallelisation',
 )
 option(

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # along with xtb.  If not, see <https://www.gnu.org/licenses/>.
 
 option(WITH_OpenMP "Enable support for shared memory parallelisation with OpenMP" TRUE)
+option(WITH_TBLITE "Use tblite library as backend for xTB" TRUE)
 if(NOT DEFINED "${PROJECT_NAME}-dependeny-method")
   set(
     "${PROJECT_NAME}-dependency-method"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -149,6 +149,7 @@
   "${dir}/thermo.f90"
   "${dir}/timing.f90"
   "${dir}/topology.f90"
+  "${dir}/vertical.f90"
   "${dir}/wrbas.f90"
   "${dir}/wrgbw.f90"
   "${dir}/wrmodef.f90"

=== symmetry/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(curdir "${CMAKE_CURRENT_SOURCE_DIR}")

# MCTC library
set(sources
  "${curdir}/symmetry.f90"
  "${curdir}/symmetry_i.c"
)

set(srcs ${srcs} ${sources} PARENT_SCOPE)

=== test/CMakeLists.txt ===
# This file is part of xtb.
# SPDX-Identifier: LGPL-3.0-or-later
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the Lesser GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# Lesser GNU General Public License for more details.
#
# You should have received a copy of the Lesser GNU General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

add_subdirectory("api")
add_subdirectory("unit")

=== src/disp/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/coordinationnumber.f90"
  "${dir}/dftd3.f"
  "${dir}/dftd3.f90"
  "${dir}/dftd3_parameters.f90"
  "${dir}/dftd4.F90"
  "${dir}/dftd4_parameters.f90"
  "${dir}/encharges.f90"
  "${dir}/ncoord.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/docking/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2022 Sebastian Ehlert, Christoph Plett
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/param.f90"
  "${dir}/search_nci.f90"
  "${dir}/set_module.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/freq/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2021 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/io.f90"
  "${dir}/project.f90"
  "${dir}/utils.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/iff/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2022 Sebastian Ehlert, Christoph Plett
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/calculator.f90"
  "${dir}/data.f90"
  "${dir}/iff_energy.f90"
  "${dir}/iff_ini.f90"
  "${dir}/iff_lmo.f90"
  "${dir}/iff_prepare.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/main/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/defaults.f90"
  "${dir}/geometry.f90"
  "${dir}/json.f90"
  "${dir}/property.F90"
  "${dir}/setup.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/prog/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,9 @@
 
 list(APPEND prog
   "${dir}/argparser.f90"
+  "${dir}/dock.f90"
   "${dir}/info.f90"
+  "${dir}/irmod.f90"
   "${dir}/main.F90"
   "${dir}/primary.f90"
   "${dir}/submodules.f90"

=== debian/changelog ===
xtb (6.6.1-1) unstable; urgency=medium

  * New upstream version 6.6.1

 -- Andrius Merkys <merkys@debian.org>  Mon, 07 Aug 2023 10:55:56 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  meson,
  pkg-config,
  xsltproc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/grimme-lab/xtb
 Vcs-Browser: https://salsa.debian.org/debichem-team/xtb
 Vcs-Git: https://salsa.debian.org/debichem-team/xtb.git
